#include "GameObject.h"
#include "Functions.h"

GameObject::GameObject(float x, float y, float z, bool bStatic, string name) : pos(x,y,z)
{
	startPos.set(pos);
	this->bStatic = bStatic;
	if(name == "")
	{
		this->name = "Object" + Functions::toString(int(x)) + ":" + Functions::toString(int(z));
	}
	else
		this->name = name;
}

GameObject::~GameObject(void)
{
}

Vec3 GameObject::toStartPos()
{
	pos.set(startPos);
	return pos;
}


void GameObject::setPos(float x, float y, float z)
{
	pos.set(x,y,z);
}

Vec3 GameObject::getPos()
{
	return pos;
}

float GameObject::getX()
{
	return pos.getX();
}

float GameObject::getY()
{
	return pos.getY();
}

float GameObject::getZ()
{
	return pos.getZ();
}
void GameObject::setX(float x)
{
	pos.setX(x);
}

void GameObject::setY(float y)
{
	pos.setY(y);
}

void GameObject::setZ(float z)
{
	pos.setZ(z);
}

bool GameObject::isStatic()
{
	return bStatic;
}

string GameObject::getName()
{
	return name;
}