#ifndef GAMEOBJECT_H
#define GAMEOBJECT_H

#include "Vec3.h"
#include <string>

using namespace std;

class GameObject
{
public:
	GameObject(float x, float y, float z, bool bStatic, string name="");
	virtual ~GameObject(void);
	void setPos(float x, float y, float z);
	virtual Vec3 toStartPos();
	Vec3 getPos();
	float getX();
	float getY();
	float getZ();
	void setX(float x);
	void setY(float y);
	void setZ(float z);
	bool isStatic();
	virtual string getName();
	virtual bool containsPos(float x, float y, float z) = 0;
protected:
	Vec3 pos, startPos;
	bool bStatic;
	string name;
};

#endif // GAMEOBJECT_H