#include "Goal.h"

#include <cmath>

Goal::Goal(float x, float y, float z, float radius, bool bStatic, string name) : GameObject(x,y,z,bStatic,name)
{
	this->radius = radius;
}

Goal::~Goal(void)
{
}

float Goal::getRadius()
{
	return radius;
}

bool Goal::containsPos(float x, float y, float z)
{
	float dx = this->getX() - x;
	float dy = this->getY() - y;
	float dz = this->getZ() - z;

	float dist = sqrt(dx*dx+dy*dy+dz*dz);

	return dist < radius+5;
}