#ifndef PARSER_H
#define PARSER_H

#include <vector>
#include "GameObject.h"

using namespace std;

class Parser
{
public:
	Parser(float unitSize);
	~Parser(void);
	bool parseRoom(string filename);
	vector<GameObject*>* getObjects();
	int getRoomWidth();
	int getRoomDepth();
	string getGroundTexture();
	string getSkyTexture();
	string getWallTexture();
	string getBoxTexture();
private:
	GameObject*	parseChar(char c, int lineNo, int pos);
	vector<GameObject*>* objects;
	int roomWidth, roomDepth;
	float unitSize;
	string groundTexture, skyTexture, wallTexture, boxTexture;
};

#endif // PARSER_H